Summary:	PBS DRMAA
Name:		pbs-drmaa
Version:	1.0.18
Release:	1
License:	GPLv3
Group:		Libraries
Source:		%{name}-%{version}.tar.gz
BuildRequires:	gcc >= 4.1
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)
Requires:       torque

%define         _destdir        /opt/qcg/dependencies
%define         _sbindir        %{_destdir}/sbin
%define         _bindir         %{_destdir}/bin
%define         _includedir     %{_destdir}/include
%define         _libdir         %{_destdir}/lib
%define         _sysconfdir     %{_destdir}/etc

%description
DRMAA library for PBS.

%package devel
Summary:	Development files for pbs-drmaa
Group:		Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Header files for pbs-drmaa.

%prep
%setup -q

%build

%{!?configure_options: %define configure_options %{nil}} 

%configure \
	--prefix=%{_destdir} \
        --sysconfdir=%{_sysconfdir} \
        CPPFLAGS='-fstack-protector-all -I/usr/include/torque/' \
        %{configure_options}

NUMCPU=`grep processor /proc/cpuinfo | wc -l`
[ $NUMCPU -eq 0 ] && NUMCPU=1;

make -j$NUMCPU

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%pre

%post

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(644,root,root) %{_libdir}/*
%{_sysconfdir}

%files devel
%defattr(644,root,root,755)
%{_includedir}
